Rails.application.routes.draw do
  post 'sessions/create', to: 'sessions#create', as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', as: 'logout', via: [:get, :delete]

  match 'users/new', to: 'users#new', via: :get, as: 'register'
  post 'users/create'

  get 'users/show/:id', to: 'users#show', as: 'profile'

  get 'users/edit/:id', to: 'users#edit', as: 'edit_profile'
  put 'users/update/:id', to: 'users#update', as: 'update_profile'

  get 'users/forgotten'
  post 'users/send_forgotten'

  resources :items
  get 'say/hello', to: 'say#hello', as: 'hello'

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
